Bug 438267 - The update downloaded successfully, but the GPG signature verification failed.
The update downloaded successfully, but the GPG signature verification failed.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: spamassassin (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-19 18:07 EDT by Robert Scheck
Modified: 2008-12-22 14:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-22 14:22:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2008-03-19 18:07:46 EDT
Description of problem:
tux:~ # LANG=C sa-update --debug
[21788] dbg: logger: adding facilities: all
[21788] dbg: logger: logging level is DBG
[21788] dbg: generic: SpamAssassin version 3.2.4
[21788] dbg: config: score set 0 chosen.
[21788] dbg: dns: no ipv6
[21788] dbg: dns: is Net::DNS::Resolver available? yes
[21788] dbg: dns: Net::DNS version: 0.61
[21788] dbg: generic: sa-update version svn607589
[21788] dbg: generic: using update directory: /var/lib/spamassassin/3.002004
[21788] dbg: diag: perl platform: 5.010000 linux
[21788] dbg: diag: module installed: Digest::SHA1, version 2.11
[21788] dbg: diag: module installed: HTML::Parser, version 3.56
[21788] dbg: diag: module installed: Net::DNS, version 0.61
[21788] dbg: diag: module installed: MIME::Base64, version 3.07_01
[21788] dbg: diag: module installed: DB_File, version 1.816_1
[21788] dbg: diag: module installed: Net::SMTP, version 2.31
[21788] dbg: diag: module not installed: Mail::SPF ('require' failed)
[21788] dbg: diag: module not installed: Mail::SPF::Query ('require' failed)
[21788] dbg: diag: module not installed: IP::Country::Fast ('require' failed)
[21788] dbg: diag: module not installed: Razor2::Client::Agent ('require' 
failed)
[21788] dbg: diag: module not installed: Net::Ident ('require' failed)
[21788] dbg: diag: module not installed: IO::Socket::INET6 ('require' failed)
[21788] dbg: diag: module not installed: IO::Socket::SSL ('require' failed)
[21788] dbg: diag: module installed: Compress::Zlib, version 2.008
[21788] dbg: diag: module installed: Time::HiRes, version 1.9711
[21788] dbg: diag: module not installed: Mail::DomainKeys ('require' failed)
[21788] dbg: diag: module not installed: Mail::DKIM ('require' failed)
[21788] dbg: diag: module installed: DBI, version 1.601
[21788] dbg: diag: module installed: Getopt::Long, version 2.37
[21788] dbg: diag: module installed: LWP::UserAgent, version 2.036
[21788] dbg: diag: module installed: HTTP::Date, version 1.47
[21788] dbg: diag: module installed: Archive::Tar, version 1.38
[21788] dbg: diag: module installed: IO::Zlib, version 1.07
[21788] dbg: diag: module not installed: Encode::Detect ('require' failed)
[21788] dbg: gpg: Searching for 'gpg'
[21788] dbg: util: current PATH 
is: /usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/sbin:/usr/local/bin:/sbin:/
bin:/usr/sbin:/usr/bin
[21788] dbg: util: executable for gpg was found at /usr/bin/gpg
[21788] dbg: gpg: found /usr/bin/gpg
[21788] dbg: gpg: release trusted key id list: 
5E541DC959CB8BAC7C78DFDC4056A61A5244EC45 
26C900A46DD40CD5AD24F6D7DEE01987265FA05B 
0C2B1D7175B852C64B3CDC716C55397824F434CE
[21788] dbg: channel: attempting channel updates.spamassassin.org
[21788] dbg: channel: update 
directory /var/lib/spamassassin/3.002004/updates_spamassassin_org
[21788] dbg: channel: channel cf 
file /var/lib/spamassassin/3.002004/updates_spamassassin_org.cf
[21788] dbg: channel: channel pre 
file /var/lib/spamassassin/3.002004/updates_spamassassin_org.pre
[21788] dbg: dns: 4.2.3.updates.spamassassin.org => 611820, parsed as 611820
[21788] dbg: channel: preparing temp directory for new channel
[21788] dbg: generic: update tmp directory /tmp/.spamassassin21788ZYh760tmp
[21788] dbg: generic: lint checking site pre files once before attempting 
channel updates
[21788] dbg: generic: SpamAssassin version 3.2.4
[21788] dbg: config: score set 0 chosen.
[21788] dbg: dns: no ipv6
[21788] dbg: dns: is Net::DNS::Resolver available? yes
[21788] dbg: dns: Net::DNS version: 0.61
[21788] dbg: ignore: using a test message to lint rules
[21788] dbg: config: using "/etc/mail/spamassassin" for site rules pre files
[21788] dbg: config: read file /etc/mail/spamassassin/init.pre
[21788] dbg: config: read file /etc/mail/spamassassin/v310.pre
[21788] dbg: config: read file /etc/mail/spamassassin/v312.pre
[21788] dbg: config: read file /etc/mail/spamassassin/v320.pre
[21788] dbg: config: using "/tmp/.spamassassin21788ZYh760tmp/doesnotexist" for 
sys rules pre files
[21788] dbg: config: using "/tmp/.spamassassin21788ZYh760tmp/doesnotexist" for 
default rules dir
[21788] dbg: config: 
using "/tmp/.spamassassin21788ZYh760tmp/doesnotexist/doesnotexist" for user 
prefs file
[21788] dbg: plugin: loading Mail::SpamAssassin::Plugin::URIDNSBL from @INC
[21788] dbg: plugin: loading Mail::SpamAssassin::Plugin::Hashcash from @INC
[21788] dbg: plugin: loading Mail::SpamAssassin::Plugin::SPF from @INC
[21788] dbg: plugin: loading Mail::SpamAssassin::Plugin::Pyzor from @INC
[21788] dbg: pyzor: local tests only, disabling Pyzor
[21788] dbg: plugin: loading Mail::SpamAssassin::Plugin::Razor2 from @INC
[21788] dbg: razor2: local tests only, skipping Razor
[21788] dbg: plugin: loading Mail::SpamAssassin::Plugin::SpamCop from @INC
[21788] dbg: reporter: local tests only, disabling SpamCop
[21788] dbg: plugin: loading Mail::SpamAssassin::Plugin::AWL from @INC
[21788] dbg: plugin: loading Mail::SpamAssassin::Plugin::AutoLearnThreshold 
from @INC
[21788] dbg: plugin: loading Mail::SpamAssassin::Plugin::WhiteListSubject from 
@INC
[21788] dbg: plugin: loading Mail::SpamAssassin::Plugin::MIMEHeader from @INC
[21788] dbg: plugin: loading Mail::SpamAssassin::Plugin::ReplaceTags from @INC
[21788] dbg: plugin: loading Mail::SpamAssassin::Plugin::Check from @INC
[21788] dbg: plugin: loading Mail::SpamAssassin::Plugin::HTTPSMismatch from 
@INC
[21788] dbg: plugin: loading Mail::SpamAssassin::Plugin::URIDetail from @INC
[21788] dbg: plugin: loading Mail::SpamAssassin::Plugin::Bayes from @INC
[21788] dbg: plugin: loading Mail::SpamAssassin::Plugin::BodyEval from @INC
[21788] dbg: plugin: loading Mail::SpamAssassin::Plugin::DNSEval from @INC
[21788] dbg: plugin: loading Mail::SpamAssassin::Plugin::HTMLEval from @INC
[21788] dbg: plugin: loading Mail::SpamAssassin::Plugin::HeaderEval from @INC
[21788] dbg: plugin: loading Mail::SpamAssassin::Plugin::MIMEEval from @INC
[21788] dbg: plugin: loading Mail::SpamAssassin::Plugin::RelayEval from @INC
[21788] dbg: plugin: loading Mail::SpamAssassin::Plugin::URIEval from @INC
[21788] dbg: plugin: loading Mail::SpamAssassin::Plugin::WLBLEval from @INC
[21788] dbg: plugin: loading Mail::SpamAssassin::Plugin::VBounce from @INC
[21788] dbg: plugin: loading Mail::SpamAssassin::Plugin::ImageInfo from @INC
[21788] dbg: conf: finish parsing
[21788] dbg: plugin: Mail::SpamAssassin::Plugin::ReplaceTags=HASH(0xaf67754) 
implements 'finish_parsing_end', priority 0
[21788] dbg: replacetags: replacing tags
[21788] dbg: replacetags: done replacing tags
[21788] dbg: config: score set 0 chosen.
[21788] dbg: message: main message type: text/plain
[21788] dbg: message: ---- MIME PARSER START ----
[21788] dbg: message: parsing normal part
[21788] dbg: message: ---- MIME PARSER END ----
[21788] dbg: plugin: Mail::SpamAssassin::Plugin::DNSEval=HASH(0xaffecbc) 
implements 'check_start', priority 0
[21788] dbg: plugin: Mail::SpamAssassin::Plugin::Check=HASH(0xafb365c) 
implements 'check_main', priority 0
[21788] dbg: conf: trusted_networks are not configured; it is recommended that 
you configure trusted_networks manually
[21788] dbg: metadata: X-Spam-Relays-Trusted:
[21788] dbg: metadata: X-Spam-Relays-Untrusted:
[21788] dbg: metadata: X-Spam-Relays-Internal:
[21788] dbg: metadata: X-Spam-Relays-External:
[21788] dbg: message: no encoding detected
[21788] dbg: plugin: Mail::SpamAssassin::Plugin::URIDNSBL=HASH(0xae8a354) 
implements 'parsed_metadata', priority 0
[21788] dbg: dns: is_dns_available() last checked 1205964218.0 seconds ago; re-
checking
[21788] dbg: dns: is DNS available? 0
[21788] dbg: rules: local tests only, ignoring RBL eval
[21788] dbg: dns: harvest_dnsbl_queries
[21788] dbg: check: is spam? score=0 required=5
[21788] dbg: check: tests=
[21788] dbg: check: subtests=
[21788] dbg: plugin: Mail::SpamAssassin::Plugin::MIMEHeader=HASH(0xaf59b44) 
implements 'finish_tests', priority 0
[21788] dbg: plugin: Mail::SpamAssassin::Plugin::Check=HASH(0xafb365c) 
implements 'finish_tests', priority 0
[21788] dbg: generic: lint check of site pre files succeeded, continuing with 
channel updates
[21788] dbg: channel: no MIRRORED.BY file available
[21788] dbg: http: GET request, 
http://spamassassin.apache.org/updates/MIRRORED.BY
[21788] dbg: channel: MIRRORED.BY file retrieved
[21788] dbg: channel: reading MIRRORED.BY file
[21788] dbg: channel: found mirror http://spamassassin.kluge.net/updates/ 
weight=5
[21788] dbg: channel: found mirror http://daryl.dostech.ca/sa-update/asf/ 
weight=5
[21788] dbg: channel: found mirror http://www.sa-update.pccc.com/ weight=1
[21788] dbg: channel: selected mirror http://spamassassin.kluge.net/updates
[21788] dbg: http: GET request, 
http://spamassassin.kluge.net/updates/611820.tar.gz
[21788] dbg: http: GET request, 
http://spamassassin.kluge.net/updates/611820.tar.gz.sha1
[21788] dbg: http: GET request, 
http://spamassassin.kluge.net/updates/611820.tar.gz.asc
[21788] dbg: sha1: verification wanted: 
0dd70703b7e4c615bcdf9c057d4af8523ec005f9
[21788] dbg: sha1: verification result: 
0dd70703b7e4c615bcdf9c057d4af8523ec005f9
[21788] dbg: channel: populating temp content file
[21788] dbg: gpg: populating temp signature file
[21788] dbg: gpg: calling gpg
[21788] dbg: gpg: gpg: Signature made Mon Jan 14 15:48:34 2008 CET using RSA 
key ID 24F434CE
[21788] dbg: gpg: gpg: WARNING: signing subkey 24F434CE is not cross-certified
[21788] dbg: gpg: gpg: please see http://www.gnupg.org/faq/subkey-cross-
certify.html for more information
[21788] dbg: gpg: [GNUPG:] ERRSIG 6C55397824F434CE 1 2 00 1200322114 1
[21788] dbg: gpg: gpg: Can't check signature: general error
error: GPG validation failed!
The update downloaded successfully, but the GPG signature verification
failed.
channel: GPG validation failed, channel failed
[21788] dbg: generic: cleaning up temporary directory/files
[21788] dbg: diag: updates complete, exiting with code 4
tux:~ #

Version-Release number of selected component (if applicable):
spamassassin-3.2.4-4

How reproducible:
Everytime.

Actual results:
The update downloaded successfully, but the GPG signature verification failed.

Expected results:
Working GPG signature verification failed like in the past again...
Comment 1 Kevin Fenzi 2008-03-19 19:38:42 EDT
This is upstream bug: 
http://issues.apache.org/SpamAssassin/show_bug.cgi?id=5775

See: 
http://wiki.apache.org/spamassassin/SaUpdateKeyNotCrossCertified

The work around there works fine, but clearly we need to figure out how to
import the fixed key into the package so people don't know to know to do that. ;( 
Comment 2 Robert Scheck 2008-04-15 16:46:41 EDT
Ping?
Comment 3 Bug Zapper 2008-05-14 02:45:12 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Kevin Fenzi 2008-06-27 13:10:40 EDT
Sorry for the long delay here. ;( 

Can you test the packages from: 

http://kojipkgs.fedoraproject.org/packages/spamassassin/3.2.5/

and confirm this bug is fixed or not?
Comment 5 Tom Hughes 2008-06-27 13:22:52 EDT
Doesn't seem to fix it for me I'm afraid.
Comment 6 Kevin Fenzi 2008-07-12 12:02:10 EDT
Odd. Upstream says it should be fixed in 3.2.5, and I can't duplicate it at all
here with 3.2.5. 

Which release are you on? Can you run the same ' LANG=C sa-update --debug' and
put the output here if it's still showing the error?
Comment 7 Kevin Fenzi 2008-12-15 19:43:45 EST
Tom? Robert? 
Can either of you guys duplicate it with the current 3.2.5 and provide the debug output requested in comment #6?
Comment 8 Robert Scheck 2008-12-16 02:30:06 EST
For me 3.2.5 works so far, for Tom I can't speak. Tom?
Comment 9 Kevin Fenzi 2008-12-22 14:22:05 EST
I'm going to go ahead and close this now... 

Tom: If you still see this issue, feel free to re-open this.

Note You need to log in before you can comment on or make changes to this bug.